> ## Documentation Index
> Fetch the complete documentation index at: https://memos-api.openmem.net/llms.txt
> Use this file to discover all available pages before exploring further.

# Register a MemCube

> Register a new MemCube.



## OpenAPI

````yaml POST /mem_cubes
openapi: 3.1.0
info:
  title: MemOS REST APIs
  description: A REST API for managing and searching memories using MemOS.
  version: 1.0.0
servers: []
security: []
paths:
  /mem_cubes:
    post:
      summary: Register a MemCube
      description: Register a new MemCube.
      operationId: register_mem_cube_mem_cubes_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MemCubeRegister'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SimpleResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    MemCubeRegister:
      properties:
        user_id:
          anyOf:
            - type: string
            - type: 'null'
          title: User Id
          description: User ID for the request
          example: user123
        mem_cube_name_or_path:
          type: string
          title: Mem Cube Name Or Path
          description: Name or path of the MemCube to register.
          example: /path/to/cube
        mem_cube_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Mem Cube Id
          description: ID for the MemCube
          example: cube123
      type: object
      required:
        - mem_cube_name_or_path
      title: MemCubeRegister
    SimpleResponse:
      properties:
        code:
          type: integer
          title: Code
          description: Response status code
          default: 200
          example: 200
        message:
          type: string
          title: Message
          description: Response message
          example: Operation successful
        data:
          type: 'null'
          title: Data
          description: Response data
      type: object
      required:
        - message
      title: SimpleResponse
      description: Simple response model for operations without data return.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````